Phar::copy
Phar::createDefaultStub
Phar
PHP Manual

# Phar::count

Returns the number of entries (files) in the Phar archive

### Description

public int Phar::count ( void )

### Parameters

### Return Values

The number of files contained within this phar, or 0 (the number zero) if none.

### Examples

Example #1 A Phar::count example

`<?php
// make sure it doesn't exist
@unlink('brandnewphar.phar');
try {
$p = new Phar(dirname(__FILE__) . '/brandnewphar.phar', 0, 'brandnewphar.phar');
} catch (Exception $e) {
echo 'Could not create phar:', $e;
}
echo 'The new phar has ' . $p->count() . " entries\n";
$p['file.txt'] = 'hi';
echo 'The new phar has ' . $p->count() . " entries\n";
?>`

The above example will output:

    The new phar has 0 entries
    The new phar has 1 entries